#!/usr/sbin/perl -w
#
# lineBreak.pl v1.0
# Last modified August 4, 2003 16:21
# (c) Olaf R.P. Bininda-Emonds
#
# Output:
#   Will convert Mac and DOS line breaks in a text file to Unix line breaks
#
# Usage: lineBreak.pl <filename>

die "Must supply name of text file\n" if not $ARGV[0];
	$inFile = $ARGV[0];

open (IN, "<$inFile") or die "Cannot open $inFile\n";
open (OUT, ">break.temp") or die "Cannot open break.temp\n";
$macBreak = $dosBreak = 0;
	while (<IN>)
		{
		if ($_ =~ /\r/)
			{
			if ($_ =~ /\r\n/)
				{
				print "DOS line breaks detected ...\n" if not $dosBreak;
				$dosBreak = 1;
				$_ =~ s/\r\n/\n/g;
				print OUT $_;
				}
			else
				{
				print "Mac line breaks detected ...\n" if not $macBreak;
				$macBreak = 1;
				$_ =~ s/\r/\n/g;
				print OUT $_;
				}
			}
		}
close IN;
close OUT;

if ($macBreak or $dosBreak)
	{
	system ("mv break.temp $inFile");
	}
